#
# See the file "LICENSE" for the full license governing this code.
#
newparam(:block_size) do
  include EasyType

  desc <<-EOD
    The block size to use for the tablespace.
  EOD

  data_type("Optional[Easy_type::Size]")

  to_translate_to_resource do |raw_resource|
    raw_resource.column_data('BLOCK_SIZE').to_i
  end

end
